Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80369 - SECURITY: WEP key value world readable
Summary: SECURITY: WEP key value world readable
Keywords:
Status: CLOSED DUPLICATE of bug 73850
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-25 04:47 UTC by Robert de Rooy
Modified: 2008-01-17 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:34 UTC


Attachments (Terms of Use)

Description Robert de Rooy 2002-12-25 04:47:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
I'm not sure under which component this bug belongs, but I guess
/etc/sysconfig/network-scripts/* would fall under initscripts. Sorry if that is
not the case.

This bug effects both RH8.0 and phoebe.

When configuring a wireless network adapter using redhat-config-network it asks
for such values as the ESSID and secret WEP KEY
The problem is that the KEY gets written to the respective ifcfg-eth* file as a
key= value and this file is readable to every user on the system.

e.g. on my system eth1 is my wireless adapter, and the file
/etc/sysconfig/network-scripts/ifcfg-eth1 has the following permissions:
-rw-r--r--    3 root     root          298 Dec 23 22:25 ifcfg-eth1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup wireless networking with WEP enabled
2.
3.
    

Additional info:

Comment 1 Mike McLean 2003-01-02 20:26:46 UTC

*** This bug has been marked as a duplicate of 73850 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:50:34 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.